update xup: redirect error message to stderr
Prithu Goswami prithugoswami524@gmail.com
Sat, 06 Feb 2021 21:43:33 +0530
1 files changed,
2 insertions(+),
2 deletions(-)
jump to
M
bin/scripts/xup
→
bin/scripts/xup
@@ -27,7 +27,7 @@ ext=""
fi if ssh $remote_hostname "test -f .share/$slug$ext" then - echo "Error: File already exists: .share/$slug$ext" + echo "[Error] File already exists: $slug$ext" 1>&2 exit 1 else rsync --ignore-existing --info=progress1 "$1" "$remote_hostname:.share/$slug$ext" 1>&2 || exit 1@@ -36,7 +36,7 @@ fi
else if ssh $remote_hostname "test -f .share/$2" then - echo "Error: File already exists: .share/$2" + echo "[Error] File already exists: $2" 1>&2 exit 1 else rsync --ignore-existing --info=progress1 "$1" "$remote_hostname:.share/$2" 1>&2 || exit 1